datacache <- new.env(hash=TRUE, parent=emptyenv())

hgfocus <- function() showQCData("hgfocus", datacache)
hgfocus_dbconn <- function() dbconn(datacache)
hgfocus_dbfile <- function() dbfile(datacache)
hgfocus_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgfocus_dbInfo <- function() dbInfo(datacache)

hgfocusORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgfocus.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgfocus", "chip hgfocus", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgfocus_dbconn())
}

